Bug 39424 - RFE: More clearly document 'make mrproper' requirement
RFE: More clearly document 'make mrproper' requirement
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-05-07 13:07 EDT by R P Herrold
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-04-25 23:44:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description R P Herrold 2001-05-07 13:07:41 EDT
Description of Problem:

Kernel and module building instructions are not sufficiently explicit.

How Reproducible:

Several people have hit the 'make mrproper' omission error

Steps to Reproduce:

Attempt to make modules without first running make mrproper, after 
installing kernel-sources

Actual Results:

kernel module compilation fails

Expected Results:

kernel module compilation should succeed

Additional Information:
Proposed solutions are several - pleaee implement all three with next 
kernel update:

1.  Add a post install 'make mrproper' to the specfile for kernel in that 
stanza which is run after the kernel-source subpackage.

2.  Make more prominent, in the Description stanza of kernel-source, that 
this needs to be done.

3.  Add an additional 'README.RedHat71' in 
/usr/share/doc/kernel-source-xxx/ documenting this requirement, and 
discussing the issue.
Comment 1 Brian Brock 2001-05-08 10:20:22 EDT
/usr/src/linux-2.4/README explicitly states:

                cd linux
                make mrproper

   You should now have the sources correctly installed.

before running make config.

It's not just a Red Hat requirement; it's also been a requirement (and in the
README) for some time in 2.2 kernels.
Comment 2 R P Herrold 2003-04-25 23:44:09 EDT
stale EOL product -- closing

Note You need to log in before you can comment on or make changes to this bug.